## org.omg.CORBA
Class ShortSeqHelper

    java.lang.Object
      |
      +--org.omg.CORBA.ShortSeqHelper

public class ShortSeqHelper
extends java.lang.Object

Helper class for : ShortSeq

Author:
  OpenORB Compiler

Constructor Summary
`ShortSeqHelper()`

Method Summary
`static short[]` `extract(Any a)` Extract ShortSeq from an any
`static java.lang.String` `id()` Return the ShortSeq IDL ID
`static void` `insert(Any a, short[] t)` Insert ShortSeq into an any
`static short[]` `read(InputStream istream)` Read ShortSeq from a marshalled stream
`static TypeCode` `type()` Return the ShortSeq TypeCode
`static void` `write(OutputStream ostream, short[] value)` Write ShortSeq into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ShortSeqHelper

    public ShortSeqHelper()

Method Detail

### insert

    public static void insert(Any a,
                              short[] t)

  Insert ShortSeq into an any
  Parameters:
    `a` - an any
    `t` - ShortSeq value

### extract

    public static short[] extract(Any a)

  Extract ShortSeq from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ShortSeq value

### type

    public static TypeCode type()

  Return the ShortSeq TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ShortSeq IDL ID
  Returns:
    an ID

### read

    public static short[] read(InputStream istream)

  Read ShortSeq from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ShortSeq value

### write

    public static void write(OutputStream ostream,
                             short[] value)

  Write ShortSeq into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ShortSeq value